Manage GL account records.
Operations
searchGlAccountTrackingPagedSelectFields
Searches tracking for general ledger accounts with pagination and selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
GlAccountNumberstringoptionalGlAccountSuffixstringoptionalGlAccountBranchstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/persistent/generalledger/searchGlAccountTrackingPagedSelectFieldsPOST /nexum/627/persistent/generalledger/searchGlAccountTrackingPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"GlAccountNumber": "string",
"GlAccountSuffix": "string",
"GlAccountBranch": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllGlAccountTrackingFields": true,
"GlAccountTrackingFields": {
"CreationDate": true,
"CreationTime": true,
"ExpireDate": true,
"FmLastDate": true,
"Id": true,
"IdType": true,
"Locator": true,
"RecordChangeDate": true,
"TrackingCode": true,
"Type": true,
"UserAmount1": true,
"UserAmount10": true,
"UserAmount11": true,
"UserAmount12": true,
"UserAmount13": true,
"UserAmount14": true,
"UserAmount15": true,
"UserAmount16": true,
"UserAmount17": true,
"UserAmount18": true
}
},
"SearchFilter": {
"Query": "string"
},
"nxAttributes": {
"customFields": {}
}
}getGlHistoryPagedListSelectFields
Retrieves a paged list of general ledger history with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
GlAccountNumberstringoptionalGlAccountSuffixstringoptionalGlAccountBranchstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/persistent/generalledger/getGlHistoryPagedListSelectFieldsPOST /nexum/627/persistent/generalledger/getGlHistoryPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"GlAccountNumber": "string",
"GlAccountSuffix": "string",
"GlAccountBranch": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllGlHistoryFields": true,
"GlHistoryFields": {
"Amount": true,
"Comment": true,
"DebitCreditCode": true,
"EffectiveDate": true,
"GlAccountNumber": true,
"GlCategory": true,
"PostDate": true,
"ProcessorUser": true,
"Reference": true,
"SequenceNumber": true,
"UserNumber": true
}
},
"nxAttributes": {
"customFields": {}
}
}searchGlHistoryPagedSelectFields
Searches general ledger history with pagination and selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
GlAccountNumberstringoptionalGlAccountSuffixstringoptionalGlAccountBranchstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/persistent/generalledger/searchGlHistoryPagedSelectFieldsPOST /nexum/627/persistent/generalledger/searchGlHistoryPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"GlAccountNumber": "string",
"GlAccountSuffix": "string",
"GlAccountBranch": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllGlHistoryFields": true,
"GlHistoryFields": {
"Amount": true,
"Comment": true,
"DebitCreditCode": true,
"EffectiveDate": true,
"GlAccountNumber": true,
"GlCategory": true,
"PostDate": true,
"ProcessorUser": true,
"Reference": true,
"SequenceNumber": true,
"UserNumber": true
}
},
"SearchFilter": {
"Query": "string"
},
"nxAttributes": {
"customFields": {}
}
}getGlSubaccountSelectFields
Retrieves a subaccount for a general ledger account with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
GlAccountNumberstringoptionalGlAccountSuffixstringoptionalGlAccountBranchstringoptionalGlSubaccountIdstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/persistent/generalledger/getGlSubaccountSelectFieldsPOST /nexum/627/persistent/generalledger/getGlSubaccountSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"GlAccountNumber": "string",
"GlAccountSuffix": "string",
"GlAccountBranch": "string",
"GlSubaccountId": "string",
"SelectableFields": {
"IncludeAllGlSubaccountFields": true,
"GlSubaccountFields": {
"AccrualAmount": true,
"AccrualEffectDate": true,
"AccrualPostDate": true,
"AccrualPostThruDate": true,
"AccrualStartDate": true,
"AccruedAmount": true,
"AccruedCount": true,
"AcquisitionDate": true,
"CommentOne": true,
"CommentTwo": true,
"CurrentValue": true,
"Disposition": true,
"FirstMonthMethod": true,
"GlOffset": true,
"Id": true,
"InsMaturityDate": true,
"InsTypeDescription": true,
"InsuranceType": true,
"LastFmDate": true,
"LimitValue": true
}
},
"nxAttributes": {
"customFields": {}
}
}getGlSubaccountPagedListSelectFields
Retrieves a paged list of subaccounts for a general ledger account with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
GlAccountNumberstringoptionalGlAccountSuffixstringoptionalGlAccountBranchstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/persistent/generalledger/getGlSubaccountPagedListSelectFieldsPOST /nexum/627/persistent/generalledger/getGlSubaccountPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
},
"GlAccountNumber": "0000000000",
"GlAccountSuffix": "0",
"GlAccountBranch": "0",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllGlSubaccountFields": true
}
}searchGlSubaccountPagedSelectFields
Searches subaccounts for general ledger accounts with pagination and selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
GlAccountNumberstringoptionalGlAccountSuffixstringoptionalGlAccountBranchstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/persistent/generalledger/searchGlSubaccountPagedSelectFieldsPOST /nexum/627/persistent/generalledger/searchGlSubaccountPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
},
"GlAccountNumber": "0000000000",
"GlAccountSuffix": "0",
"GlAccountBranch": "0",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllGlSubaccountFields": true
},
"SearchFilter": {
"Query": "string"
}
}